Loading...
Searching...
No Matches
irr::core::map< KeyType, ValueType >::Iterator Class Reference

Normal Iterator. More...

`#include <irrMap.h>`

## Public Member Functions

| Iterator ()
| Iterator (const Iterator &src)
| Iterator (Node *root)
bool | atEnd () const
Node * | getNode () const
Node & | operator* ()
void | operator++ (int)
void | operator-- (int)
Node * | operator-> ()
Iterator & | operator= (const Iterator &src)
void | reset (bool atLowest=true)

## Friends

class | ConstIterator

## Detailed Description

template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::Iterator

Normal Iterator.

Definition at line 139 of file irrMap.h.

## Constructor & Destructor Documentation

## Iterator() [1/3]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::Iterator::Iterator | ( |  | ) |

inline

Definition at line 144 of file irrMap.h.

Referenced by Iterator(), and operator=().

## Iterator() [2/3]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::Iterator::Iterator | ( | Node * | root | ) |

inline

Definition at line 147 of file irrMap.h.

References reset().

## Iterator() [3/3]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::Iterator::Iterator | ( | const Iterator & | src | ) |

inline

Definition at line 153 of file irrMap.h.

References Iterator().

## Member Function Documentation

## atEnd()

template<class KeyType, class ValueType>

bool irr::core::map< KeyType, ValueType >::Iterator::atEnd | ( |  | ) | const

inline

Definition at line 163 of file irrMap.h.

References _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX.

Referenced by operator*().

## getNode()

template<class KeyType, class ValueType>

Node * irr::core::map< KeyType, ValueType >::Iterator::getNode | ( |  | ) | const

inline

Definition at line 169 of file irrMap.h.

Referenced by operator->().

## operator*()

template<class KeyType, class ValueType>

Node & irr::core::map< KeyType, ValueType >::Iterator::operator* | ( |  | ) |

inline

Definition at line 196 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, and atEnd().

## operator++()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::Iterator::operator++ | ( | int |  | ) |

inline

Definition at line 181 of file irrMap.h.

## operator--()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::Iterator::operator-- | ( | int |  | ) |

inline

Definition at line 186 of file irrMap.h.

## operator->()

template<class KeyType, class ValueType>

Node * irr::core::map< KeyType, ValueType >::Iterator::operator-> | ( |  | ) |

inline

Definition at line 191 of file irrMap.h.

References getNode().

## operator=()

template<class KeyType, class ValueType>

Iterator & irr::core::map< KeyType, ValueType >::Iterator::operator= | ( | const Iterator & | src | ) |

inline

Definition at line 174 of file irrMap.h.

References Iterator().

## reset()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::Iterator::reset | ( | bool | atLowest = true | ) |

inline

Definition at line 155 of file irrMap.h.

Referenced by Iterator().

## Friends And Related Symbol Documentation

## ConstIterator

template<class KeyType, class ValueType>

friend class ConstIterator

friend

Definition at line 141 of file irrMap.h.

References ConstIterator.

Referenced by ConstIterator.

The documentation for this class was generated from the following file:

- irrMap.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0